Skip to main content
GET
List onramp orders

Headers

x-api-key
string

Integrator API key: the project’s orders

authorization
string

Customer bearer from POST /compliance/sessions: that customer’s orders only

Example:

"Bearer eyJhbGciOi..."

Query Parameters

account
string

Ethereum address (0x followed by 40 hex characters)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"

provider
enum<string>

Only this provider’s orders, applied before limit

Available options:
noah,
swapped
cursor
string<uuid>

nextCursor of the previous page

limit
integer
default:20
Required range: 1 <= x <= 100

Response

A page of orders

items
object[]
required
nextCursor
string<uuid> | null
required